Premium RealisticWorldGenerator [1.8.8 - 1.17.1] [Paid]

Discussion in 'Resource Discussion' started by SourceWriters, Dec 22, 2015.

  1. Awesome awesome, thats all good!
     
  2. So I am looking to purchase these but noticed it says "- generate Structures(Villages, Temples, ...) ✘" does this mean they will not generate at all? Or does it just mean only the default ones generate?
    If none then how soon can we expect structures to be implemented? as I know now having these will be a big issue with my players.
     
    • Like Like x 1
  3. Currently the gen dont generate Strutures at all and I dont think an update will be postet soon, because I currently have not that much time to create methods for this feature
     
  4. Hey, there is a huge amount of mountains in this generator, any way I can modify that?
     
  5. Im planning to add a Customization-Part in the Config, than you can modify the values of the terrain-generation per world :)
     
    • Like Like x 1
  6. is there a way to put a normal ore generation ? cuz i dont like the pre defined ore generation cuz there is random ores every where i have been waiting more than 1 year for this and idk if there is a config setting
     
  7. Yes, you can configure it in the ores.yml :)
     
  8. Hey so I am having an issue with the plugin, I bought it today and errors are coming up on launch
    Spigot version: git-Spigot-d4f98a3-cb61ac0 (MC: 1.11.2) (Implementing API version 1.11.2-R0.1-SNAPSHOT)
    Plugin version: [1.11.2] 2.1.3

    Error:
    [07:20:34] [Server thread/ERROR]: Error occurred while enabling Realistic_World v2.1.3 (Is it up to date?)
    java.lang.NullPointerException
    at de.yellowphoenix18.realistic.utils.PluginUtils.b(PluginUtils.java:45) ~[?:?]
    at de.yellowphoenix18.realistic.utils.PluginUtils.a(PluginUtils.java:41) ~[?:?]
    at de.yellowphoenix18.realistic.Realistic.onEnable(Realistic.java:15) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:271) ~[spigot.jar:git-Spigot-d4f98a3-cb61ac0]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot.jar:git-Spigot-d4f98a3-cb61ac0]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot.jar:git-Spigot-d4f98a3-cb61ac0]
    at org.bukkit.craftbukkit.v1_11_R1.CraftServer.enablePlugin(CraftServer.java:376) [spigot.jar:git-Spigot-d4f98a3-cb61ac0]
    at org.bukkit.craftbukkit.v1_11_R1.CraftServer.enablePlugins(CraftServer.java:326) [spigot.jar:git-Spigot-d4f98a3-cb61ac0]
    at net.minecraft.server.v1_11_R1.DedicatedServer.init(DedicatedServer.java:205) [spigot.jar:git-Spigot-d4f98a3-cb61ac0]
    at net.minecraft.server.v1_11_R1.MinecraftServer.run(MinecraftServer.java:544) [spigot.jar:git-Spigot-d4f98a3-cb61ac0]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_60]
     
    • Funny Funny x 1
  9. I already know about this problem. An update will be released soon :)
     
  10. Looks amazing, I might buy it!
     
  11. Thank you :)
     
  12. Hey, could you update the latest version for 1.9.4 servers? :3
    We have to run it on this version cause you can modify the hit cooldown of the weapons c: Would be really awesome :D
     
  13. Does this plugin support custom AMP gen worlds?
     
  14. Yes, but it will take some days :)

    How do you mean custom AMP gen worlds? Can you specify that?
     
  15. Nice, tanks :)
     
  16. Possible any1.8 builds would come out?